{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Keyspace selector [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"useTimeFilter\": false, \"controls\": [{\"id\": \"1545388837304\", \"parent\": \"\", \"type\": \"list\", \"fieldName\": \"redis.keyspace.id\", \"indexPattern\": \"metricbeat-*\", \"options\": {\"order\": \"desc\", \"type\": \"terms\", \"dynamicOptions\": true, \"multiselect\": true, \"size\": 5}, \"label\": \"Keyspace\"}], \"updateFiltersOnChange\": true, \"pinFilters\": false}, \"aggs\": [], \"type\": \"input_control_vis\", \"title\": \"Keyspace selector [Metricbeat Redis] ECS\"}"
            },
            "id": "00d39210-050d-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:19:04.179Z",
            "version": 5
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": [{\"query\": {\"match\": {\"redis.key.type\": {\"query\": \"list\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"list\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": false, \"key\": \"redis.key.type\", \"value\": \"list\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "title": "Lists length [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"seriesParams\": [{\"interpolate\": \"linear\", \"mode\": \"normal\", \"showCircles\": true, \"type\": \"line\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"show\": \"true\", \"data\": {\"id\": \"1\", \"label\": \"Number of elements\"}}], \"addLegend\": true, \"addTimeMarker\": false, \"type\": \"line\", \"times\": [], \"addTooltip\": true, \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Number of elements\"}}], \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"field\": \"redis.key.length\", \"customLabel\": \"Number of elements\"}, \"id\": \"1\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"redis.keyspace.id\", \"otherBucketLabel\": \"Other\", \"size\": 16, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Keyspace\", \"missingBucket\": false}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"redis.key.name\", \"otherBucketLabel\": \"Other\", \"size\": 20, \"order\": \"desc\", \"otherBucket\": true, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Key name\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}, {\"params\": {\"interval\": \"auto\", \"time_zone\": \"Europe/Berlin\", \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"min_doc_count\": 1, \"timeRange\": {\"mode\": \"quick\", \"to\": \"now\", \"from\": \"now-15m\"}, \"useNormalizedEsInterval\": true, \"drop_partials\": false, \"extended_bounds\": {}}, \"id\": \"4\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"line\", \"title\": \"Lists length [Metricbeat Redis] ECS\"}"
            },
            "id": "7f4bc7d0-050c-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:22:12.807Z",
            "version": 4
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": []}"
                },
                "title": "Keys by type [Metricbeat Redis] ECS",
                "uiStateJSON": "{\"vis\": {\"legendOpen\": false}}",
                "version": 1,
                "visState": "{\"params\": {\"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"seriesParams\": [{\"show\": \"true\", \"mode\": \"normal\", \"type\": \"line\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"showCircles\": true, \"data\": {\"id\": \"1\", \"label\": \"Number of keys\"}}], \"addLegend\": true, \"addTimeMarker\": false, \"type\": \"line\", \"times\": [], \"addTooltip\": true, \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Number of keys\"}}], \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"field\": \"redis.key.id\", \"customLabel\": \"Number of keys\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"redis.key.type\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Key type\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}, {\"params\": {\"interval\": \"auto\", \"time_zone\": \"Europe/Berlin\", \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"min_doc_count\": 1, \"timeRange\": {\"mode\": \"quick\", \"to\": \"now\", \"from\": \"now-15m\"}, \"useNormalizedEsInterval\": true, \"customLabel\": \"\", \"drop_partials\": false, \"extended_bounds\": {}}, \"id\": \"3\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"line\", \"title\": \"Keys by type [Metricbeat Redis] ECS\"}"
            },
            "id": "4435ac40-050e-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:23:46.207Z",
            "version": 5
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": [{\"query\": {\"match\": {\"redis.key.type\": {\"query\": \"string\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"string\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": false, \"key\": \"redis.key.type\", \"value\": \"string\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "title": "Average string key size [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"seriesParams\": [{\"show\": \"true\", \"mode\": \"normal\", \"type\": \"line\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"showCircles\": true, \"data\": {\"id\": \"1\", \"label\": \"Average key size\"}}], \"addLegend\": true, \"addTimeMarker\": false, \"type\": \"line\", \"times\": [], \"addTooltip\": true, \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Average key size\"}}], \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"field\": \"redis.key.length\", \"customLabel\": \"Average key size\"}, \"id\": \"1\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"redis.keyspace.id\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Keyspace\", \"missingBucket\": false}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}, {\"params\": {\"interval\": \"auto\", \"time_zone\": \"Europe/Berlin\", \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"min_doc_count\": 1, \"timeRange\": {\"mode\": \"quick\", \"to\": \"now\", \"from\": \"now-15m\"}, \"useNormalizedEsInterval\": true, \"drop_partials\": false, \"extended_bounds\": {}}, \"id\": \"2\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"line\", \"title\": \"Average string key size [Metricbeat Redis] ECS\"}"
            },
            "id": "8541a4a0-0513-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:28:20.970Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": [{\"meta\": {\"params\": {\"lt\": null, \"gte\": 0}, \"disabled\": false, \"type\": \"range\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": false, \"key\": \"redis.key.expire.ttl\", \"value\": \"0 to +\\u221e\"}, \"$state\": {\"store\": \"appState\"}, \"range\": {\"redis.key.expire.ttl\": {\"lt\": null, \"gte\": 0}}}]}"
                },
                "title": "Average keys TTL [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"seriesParams\": [{\"show\": \"true\", \"mode\": \"normal\", \"type\": \"line\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"showCircles\": true, \"data\": {\"id\": \"1\", \"label\": \"Average TTL\"}}], \"addLegend\": true, \"addTimeMarker\": false, \"type\": \"line\", \"times\": [], \"addTooltip\": true, \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Average TTL\"}}], \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"field\": \"redis.key.expire.ttl\", \"customLabel\": \"Average TTL\"}, \"id\": \"1\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"redis.keyspace.id\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Keyspace\", \"missingBucket\": false}, \"id\": \"4\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"redis.key.type\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Key type\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}, {\"params\": {\"interval\": \"auto\", \"time_zone\": \"Europe/Berlin\", \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"min_doc_count\": 1, \"timeRange\": {\"mode\": \"quick\", \"to\": \"now\", \"from\": \"now-15m\"}, \"useNormalizedEsInterval\": true, \"drop_partials\": false, \"extended_bounds\": {}}, \"id\": \"3\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"line\", \"title\": \"Average keys TTL [Metricbeat Redis] ECS\"}"
            },
            "id": "517a5fd0-0514-11e9-9c60-d582a238e2c5-ecs",
            "type": "visualization",
            "updated_at": "2018-12-21T11:34:03.597Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "Redis keys metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [{\"query\": {\"bool\": {\"should\": [{\"match_phrase\": {\"redis.keyspace.id\": \"db0\"}}, {\"match_phrase\": {\"redis.keyspace.id\": \"db1\"}}], \"minimum_should_match\": 1}}, \"meta\": {\"params\": [\"db0\", \"db1\"], \"disabled\": false, \"type\": \"phrases\", \"controlledBy\": \"1545388837304\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": false, \"key\": \"redis.keyspace.id\", \"value\": \"db0, db1\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true, \"darkTheme\": false}",
                "panelsJSON": "[{\"id\": \"00d39210-050d-11e9-9c60-d582a238e2c5-ecs\", \"type\": \"visualization\", \"gridData\": {\"i\": \"1\", \"h\": 5, \"x\": 0, \"w\": 12, \"y\": 0}, \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"6.5.2\", \"title\": \"Keyspace selector\"}, {\"id\": \"7f4bc7d0-050c-11e9-9c60-d582a238e2c5-ecs\", \"type\": \"visualization\", \"gridData\": {\"i\": \"2\", \"h\": 15, \"x\": 12, \"w\": 36, \"y\": 0}, \"panelIndex\": \"2\", \"embeddableConfig\": {}, \"version\": \"6.5.2\", \"title\": \"Lists length\"}, {\"id\": \"4435ac40-050e-11e9-9c60-d582a238e2c5-ecs\", \"type\": \"visualization\", \"gridData\": {\"i\": \"3\", \"h\": 10, \"x\": 0, \"w\": 12, \"y\": 5}, \"panelIndex\": \"3\", \"embeddableConfig\": {\"vis\": {\"legendOpen\": false}}, \"version\": \"6.5.2\", \"title\": \"Keys by type\"}, {\"id\": \"8541a4a0-0513-11e9-9c60-d582a238e2c5-ecs\", \"type\": \"visualization\", \"gridData\": {\"i\": \"4\", \"h\": 15, \"x\": 0, \"w\": 24, \"y\": 15}, \"panelIndex\": \"4\", \"embeddableConfig\": {}, \"version\": \"6.5.2\", \"title\": \"Average size of string keys\"}, {\"id\": \"517a5fd0-0514-11e9-9c60-d582a238e2c5-ecs\", \"type\": \"visualization\", \"gridData\": {\"i\": \"5\", \"h\": 15, \"x\": 24, \"w\": 24, \"y\": 15}, \"panelIndex\": \"5\", \"embeddableConfig\": {}, \"version\": \"6.5.2\", \"title\": \"Average keys TTL\"}]",
                "timeRestore": false,
                "title": "[Metricbeat Redis] Keys ECS",
                "version": 1
            },
            "id": "28969190-0511-11e9-9c60-d582a238e2c5-ecs",
            "type": "dashboard",
            "updated_at": "2018-12-21T11:39:13.143Z",
            "version": 4
        }
    ],
    "version": "6.5.2"
}